FAR2L(1)

NAME
far2l - Two-panel file manager, with built-in terminal and other usefulness'es.

SYNOPSIS
far2l [OPTION] [-cd APATH -cd PPATH]]
far2ledit [OPTION] [FILENAME]

DESCRIPTION
far2l is a Linux fork of FAR Manager v2, directory browser/file manager for Unix-like operating systems.

OPTIONS

-h  Display this help and exit.

-a  Disable display of characters with codes 0 - 31 and 255.

-ag Disable display of pseudographics with codes > 127.

-an Disable display of pseudographics characters completely.

-co Forces FAR to load plugins from the cache only.

-cd APATH|PPATH
    Change panel's directory to specified path. APATH - path to a folder (or a file or an archive or command with prefix) for the active panel. PPATH - path to a folder (or a file or an archive or command with prefix) for the passive panel.

-m  Do not load macros.

-ma Do not execute auto run macros.

-u IDENTITY OR /PATH/NAME
    Allows to specify separate settings IDENTITY or FS location (it override FARSETTINGS environment variable value).

-v FILENAME
    View the specified file.

-v - COMMAND LINE
     Executes given COMMAND LINE and opens viewer with its output.

-e[LINE[:POS]] [FILENAME]
     Edit the specified file with optional cursor position specification or empty new file.

-e[LINE[:POS]] - COMMAND LINE
    Executes given command line and opens editor with its output.

-set:PARAMETER=VALUE
    Override the configuration parameter, see far:config for details.
        Example: far2l -set:Language.Main=English -set:Screen.Clock=0 -set:XLat.Flags=0xff -set:System.FindFolders=false

BACKEND-SPECIFIC OPTIONS

--tty
    force using TTY backend only (disable GUI/TTY autodetection)

--notty
    don't fallback to TTY backend if GUI backend failed

--norgb
    don't use true (24-bit) colors

--nodetect, --nodetect=[x|xi][f][w][a][k]
    don't detect if TTY backend supports X11/Xi input and clipboard interaction extensions and/or disable detect f=FAR2l terminal extensions, w=win32, a=apple iTerm2, k=kovidgoyal's kitty input modes

--mortal
    terminate instead of going to background on getting SIGHUP (default if in Linux TTY)

--immortal
    go to background instead of terminating on getting SIGHUP (default if not in Linux TTY)

--x11
    force GUI backend to run on X11

--wayland
    force GUI backend to run on Wayland

--ee=N
    ESC expiration in msec (default is 100, 0 to disable) to avoid need for double ESC presses (valid only in TTY mode without FAR2L extensions)

--primary-selection
    use PRIMARY selection instead of CLIPBOARD X11 selection (only for GUI backend)

--maximize
    force maximize window upon launch (only for GUI backend)

--nomaximize
    dont maximize window upon launch even if its has saved maximized state (only for GUI backend)

--clipboard=SCRIPT
    use external clipboard handler script that implements get/set text clipboard data via its stdin/stdout

ENVIRONMENT

FARSETTINGS
    Override location of user settings and configuration files (see option -u).

FAR2L_ARGS
    All options (except -h and -u) also can be set via the FAR2L_ARGS environment variable
        (for example: export FAR2L_ARGS="--tty --nodetect" and then simple far2l to force start only TTY backend).

FULL HELP
far2l historically has its own contextual help system that can be found via pressing F1 key wherever in its TUI.

LICENSE
This program is distributed under the terms of the GNU General Public License as published by the Free Software Foundation. See the built-in help for details on the License and the lack of warranty.

AVAILABILITY
The latest version of this program can be found at
    https://github.com/elfmz/far2l

SEE ALSO
mc(1), ed(1), gpm(1), terminfo(1), view(1), sh(1), bash(1), tcsh(1), zsh(1).

Linux fork of FAR Manager v2 on the World Wide Web:
	https://github.com/elfmz/far2l

AUTHORS
Authors and contributors are listed in the copyright file.

BUGS
If you want to report a problem with the program, please create bugreport at https://github.com/elfmz/far2l/issues.

Provide a detailed description of the bug, the version of the program you are running. If the program crashes, we would appreciate a stack trace.